# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pot-o-core"
version = "0.4.0"
authors = ["TribeWarez"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types and utilities for PoT-O (Proof of Tensor Optimizations)"
homepage = "https://pot.rpc.gateway.tribewarez.com"
documentation = "https://docs.rs/pot-o-core"
readme = "README.md"
keywords = [
    "pot-o",
    "tribewarez",
    "blockchain",
    "tensor",
    "consensus",
]
categories = [
    "cryptography::cryptocurrencies",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/tribewarez/pot-o-core"

[features]
default = []
research-precision = [
    "num-bigint",
    "num-rational",
]

[lib]
name = "pot_o_core"
path = "src/lib.rs"

[[test]]
name = "block_transaction_tests"
path = "tests/block_transaction_tests.rs"

[[test]]
name = "error_tests"
path = "tests/error_tests.rs"

[[test]]
name = "lib_api_tests"
path = "tests/lib_api_tests.rs"

[[test]]
name = "tensor_network_types_tests"
path = "tests/tensor_network_types_tests.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.hex]
version = "0.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "1.0"

[dev-dependencies.approx]
version = "0.5"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.num-bigint]
version = "0.4"
optional = true

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.num-rational]
version = "0.4"
optional = true
